Name: xfce4-time-out-plugin
Version: 1.0.0
Release: alt1

Summary: Timeout plugin for XFCE 4.4 panel
License: %gpl2plus
Group: Graphical desktop/XFce
Url: http://goodies.xfce.org/projects/panel-plugins/%name
Packager: XFCE Team <xfce@packages.altlinux.org>

Source: %name-%version.tar

BuildRequires(pre): rpm-build-licenses

BuildPreReq: rpm-build-xfce4 xfce4-dev-tools
BuildPreReq: libxfce4util-devel libxfcegui4-devel libxfce4panel-devel
BuildRequires: libSM-devel perl-XML-Parser xorg-cf-files

Requires: xfce4-panel >= 4.8

%description
xfce4-time-out-plugin is a plugin for the Xfce panel. It's a
comfortable tool for taking a break from computer work every now
and then. You can define a working interval and whenever time
of this interval has passed your screen is locked for a configurable
amount of time - which gives you enough time to grab a cup of
coffee, smoke a cigarette or even do something healthy like eating,
exercising, cleaning up or whatever.

%prep
%setup

%build
# Fix desktop file path for xfce4-panel >= 4.8
sed -i 's|\$(datadir)/xfce4/panel-plugins|\$(datadir)/xfce4/panel/plugins|' \
   panel-plugin/Makefile.am

%xfce4reconf
%configure \
    --enable-debug=no
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README ChangeLog AUTHORS
%_libexecdir/xfce4/panel-plugins/*
%_datadir/xfce4/panel/plugins/*.desktop
%_liconsdir/*.png
%_iconsdir/hicolor/scalable/apps/*.svg

%changelog
* Wed Feb 09 2011 Mikhail Efremov <sem@altlinux.org> 1.0.0-alt1
- Fix desktop file path for xfce4-panel >= 4.8.
- Spec updated, tar.bz2 -> tar.
- Drop watch file.
- Updated to 1.0.0.

* Sat Jan 05 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.1.1-alt1
- First build
